linux: 2.6.32-65.131 -proposed tracker

Bug #1357394 reported by Joseph Salisbury on 2014-08-15
20
This bug affects 2 people
Affects Status Importance Assigned to Milestone
Kernel SRU Workflow
Medium
Unassigned
Automated-testing
Medium
Canonical Kernel Team
Certification-testing
Medium
Zygmunt Krynicki
Prepare-package
Medium
Brad Figg
Prepare-package-lbm
Medium
Brad Figg
Prepare-package-meta
Medium
Brad Figg
Prepare-package-ports-meta
Medium
Brad Figg
Promote-to-proposed
Medium
Adam Conrad
Promote-to-security
Medium
Adam Conrad
Promote-to-updates
Medium
Adam Conrad
Regression-testing
Medium
Para Siva
Security-signoff
Medium
John Johansen
Verification-testing
Medium
Canonical Kernel Team
linux (Ubuntu)
Undecided
Unassigned
Lucid
Medium
Unassigned

Bug Description

This bug is for tracking the 2.6.32-65.130 upload package. This bug will contain status and testing results related to that upload.

For an explanation of the tasks and the associated workflow see: https://wiki.ubuntu.com/Kernel/kernel-sru-workflow
kernel-stable-Prepare-package-start:Friday, 15. August 2014 14:43 UTC
kernel-stable-Prepare-package-end:Friday, 15. August 2014 15:05 UTC
kernel-stable-Promote-to-proposed-start:Friday, 15. August 2014 15:05 UTC
ppa-package-testing-start:Friday, 15. August 2014 15:05 UTC
kernel-stable-Promote-to-proposed-end:Tuesday, 19. August 2014 21:02 UTC
kernel-stable-Verification-testing-start:Tuesday, 19. August 2014 23:03 UTC
kernel-stable-Certification-testing-start:Tuesday, 19. August 2014 23:03 UTC
kernel-stable-Security-signoff-start:Tuesday, 19. August 2014 23:03 UTC
kernel-stable-Regression-testing-start:Tuesday, 19. August 2014 23:03 UTC
kernel-stable-Certification-testing-end:Wednesday, 20. August 2014 08:02 UTC
kernel-stable-Verification-testing-end:Monday, 25. August 2014 16:03 UTC
kernel-stable-Regression-testing-end:Tuesday, 26. August 2014 11:02 UTC
kernel-stable-Promote-to-updates-start:Thursday, 28. August 2014 09:03 UTC
kernel-stable-Security-signoff-end:Thursday, 28. August 2014 09:03 UTC
kernel-stable-Promote-to-updates-end:Thursday, 28. August 2014 23:01 UTC
kernel-stable-phase:Released
kernel-stable-phase-changed:Friday, 29. August 2014 00:06 UTC

tags: added: kernel-release-tracking-bug
tags: added: lucid
Changed in kernel-sru-workflow:
status: New → In Progress
importance: Undecided → Medium
Changed in linux (Ubuntu):
status: New → Invalid
Changed in linux (Ubuntu Lucid):
importance: Undecided → Medium

All builds are complete, packages in this bug can be copied to -proposed.

Derivative packages from packages here can be worked on, the following tracking bugs were opened for them:
linux-ec2 - bug 1357410

description: updated
summary: - linux: 2.6.32-65.129 -proposed tracker
+ linux: 2.6.32-65.130 -proposed tracker
description: updated

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in linux (Ubuntu Lucid):
status: New → Confirmed
Adam Conrad (adconrad) on 2014-08-18
summary: - linux: 2.6.32-65.130 -proposed tracker
+ linux: 2.6.32-65.131 -proposed tracker
Adam Conrad (adconrad) wrote :

Copied to -proposed and overrides adjusted.

Brad Figg (brad-figg) on 2014-08-19
description: updated
Brad Figg (brad-figg) on 2014-08-19
description: updated
Brad Figg (brad-figg) on 2014-08-20
description: updated
Zygmunt Krynicki (zyga) on 2014-08-22
tags: added: certification-testing-passed
Brad Figg (brad-figg) on 2014-08-25
description: updated
Para Siva (psivaa) on 2014-08-26
tags: added: qa-testing-passed
Brad Figg (brad-figg) on 2014-08-26
description: updated
John Johansen (jjohansen) wrote :

Looks good

Brad Figg (brad-figg) on 2014-08-28
description: updated
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux - 2.6.32-65.131

---------------
linux (2.6.32-65.131) lucid; urgency=low

  [ Joseph Salisbury ]

  * Release Tracking Bug
    - LP: #1357394

  [ Upstream Kernel Changes ]

  * x86_32, entry: Store badsys error code in %eax
    - LP: #1334989
    - CVE-2014-4508

linux (2.6.32-65.129) lucid; urgency=low

  [ Brad Figg ]

  * Release Tracking Bug
    - LP: #1355445

  [ Upstream Kernel Changes ]

  * fix autofs/afs/etc. magic mountpoint breakage
    - CVE-2014-0203
  * ALSA: control: Don't access controls outside of protected regions
    - LP: #1339297
    - CVE-2014-4653
  * ALSA: control: Fix replacing user controls
    - LP: #1339303, #1339304
    - CVE-2014-4655
  * ALSA: control: Handle numid overflow
    - LP: #1339306
    - CVE-2014-4656
  * ALSA: control: Make sure that id->index does not overflow
    - LP: #1339306
    - CVE-2014-4656
  * sctp: Fix sk_ack_backlog wrap-around problem
    - LP: #1336135
    - CVE-2014-4667
  * x86_32, entry: Do syscall exit work on badsys (CVE-2014-4508)
    - LP: #1334989
    - CVE-2014-4508
  * ALSA: control: Protect user controls against concurrent access
    - LP: #1339294
    - CVE-2014-4652
  * net: sctp: inherit auth_capable on INIT collisions
    - LP: #1349804
    - CVE-2014-5077
 -- Kamal Mostafa <email address hidden> Fri, 15 Aug 2014 11:22:44 -0700

Changed in linux (Ubuntu Lucid):
status: Confirmed → Fix Released
Brad Figg (brad-figg) on 2014-08-28
description: updated

The package has been published and the bug is being set to Fix Released

Changed in kernel-sru-workflow:
status: In Progress → Fix Released
description: updated
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers